Package org.apache.lucene.queries.function.valuesource

# Class FloatKnnVectorFieldSource

java.lang.Object
org.apache.lucene.queries.function.ValueSource
org.apache.lucene.queries.function.valuesource.FloatKnnVectorFieldSource

public class FloatKnnVectorFieldSource extends ValueSource
An implementation for retrieving `FunctionValues` instances for float knn vectors fields.

## Constructor Summary

Constructors
Constructor
Description
`FloatKnnVectorFieldSource(String fieldName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`description()`
description of field, used in explain()
`boolean`
`equals(Object o)`
`FunctionValues`
`getValues(Map<Object,Object> context, LeafReaderContext readerContext)`
Gets the values for this reader and the context that was previously passed to createWeight().
`int`
`hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FloatKnnVectorFieldSource

public FloatKnnVectorFieldSource(String fieldName)

## Method Details

### getValues

public FunctionValues getValues(Map<Object,Object> context, LeafReaderContext readerContext) throws IOException
Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Specified by:
  `equals` in class `ValueSource`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `ValueSource`

### description

public String description()
Description copied from class: `ValueSource`
description of field, used in explain()

Specified by:
  `description` in class `ValueSource`